LogFileParser (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.lf5.util
Class LogFileParser

    java.lang.Object
      org.apache.log4j.lf5.util.LogFileParser

All Implemented Interfaces:
  Runnable

    public class LogFileParser

extends Object
implements Runnable

Provides utility methods for input and output streams.

Author:
  Brad Marlborough, Richard Hurst

Field Summary
`static String` | `ATTRIBUTE_DELIMITER`
`static String` | `CATEGORY_DELIMITER`
`static String` | `DATE_DELIMITER`
`static String` | `LOCATION_DELIMITER`
`static String` | `MESSAGE_DELIMITER`
`static String` | `NDC_DELIMITER`
`static String` | `PRIORITY_DELIMITER`
`static String` | `RECORD_DELIMITER`
`static String` | `THREAD_DELIMITER`

Constructor Summary
`LogFileParser(File file)`
`LogFileParser(InputStream stream)`

Method Summary
`protected void` | `displayError(String message)`
`void` | `parse(LogBrokerMonitor monitor)` Starts a new thread to parse the log file and create a LogRecord.
`void` | `run()` Parses the file and creates new log records and adds the record to the monitor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RECORD_DELIMITER

    public static final String RECORD_DELIMITER

See Also:
  Constant Field Values

### ATTRIBUTE_DELIMITER

    public static final String ATTRIBUTE_DELIMITER

See Also:
  Constant Field Values

### DATE_DELIMITER

    public static final String DATE_DELIMITER

See Also:
  Constant Field Values

### THREAD_DELIMITER

    public static final String THREAD_DELIMITER

See Also:
  Constant Field Values

### CATEGORY_DELIMITER

    public static final String CATEGORY_DELIMITER

See Also:
  Constant Field Values

### LOCATION_DELIMITER

    public static final String LOCATION_DELIMITER

See Also:
  Constant Field Values

### MESSAGE_DELIMITER

    public static final String MESSAGE_DELIMITER

See Also:
  Constant Field Values

### PRIORITY_DELIMITER

    public static final String PRIORITY_DELIMITER

See Also:
  Constant Field Values

### NDC_DELIMITER

    public static final String NDC_DELIMITER

See Also:
  Constant Field Values

Constructor Detail

### LogFileParser

    public LogFileParser(File file)
                  throws IOException,
                         FileNotFoundException

Throws:
  `IOException`
  `FileNotFoundException`

### LogFileParser

    public LogFileParser(InputStream stream)
                  throws IOException

Throws:
  `IOException`

Method Detail

### parse

    public void parse(LogBrokerMonitor monitor)
               throws RuntimeException

  Starts a new thread to parse the log file and create a LogRecord. See run().

  Parameters:
    `monitor` - LogBrokerMonitor
  Throws:
    `RuntimeException`

### run

    public void run()

  Parses the file and creates new log records and adds the record to the monitor.

  Specified by:
    `run` in interface `Runnable`

### displayError

    protected void displayError(String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.